Bug 275191 - Intel 4965 AGN wireless regression with 2.6.22.4-65 kernel
Intel 4965 AGN wireless regression with 2.6.22.4-65 kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 10:04 EDT by Christian Schaller
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.22.5-76
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 05:58:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Schaller 2007-09-03 10:04:32 EDT
I got a Asus Pro31s laptop, which has the Intel Santa Rosa chipset. It also
comes with a Intel 4965 AGN wireless card. With the initial FC7 kernels this
wireless card did not work at all, but with some of the newer updates, including
kernel-2.6.22.1-41 it works mostly fine.

With the upgrade to 2.6.22.4-65 the wireless support regress again. The card
seems to work in the sense that NetworkManager is able to see all the networks
and connect, but once connected it instantly disconnects again. You are then
able to tell NetworkManager to reconnect and it does, but once again it will
instantly disconnect once you establish connection.
Comment 1 Christian Schaller 2007-09-03 11:04:56 EDT
Here is the output of /var/log/messages :

Sep  3 15:55:30 asus NetworkManager: <info>  Activation (wlan0/wireless): access
point 'tp' is encrypted, and a key exists.  No new key needed. 
Sep  3 15:55:30 asus NetworkManager: <info>  DHCP daemon state is now 14 (normal
exit) for interface wlan0 
Sep  3 15:55:30 asus NetworkManager: <info>  DHCP daemon state is now 11
(unknown) for interface wlan0 
Sep  3 15:55:30 asus NetworkManager: <info>  DHCP daemon state is now 14 (normal
exit) for interface wlan0 
Sep  3 15:55:30 asus NetworkManager: <info>  nm-netlink-monitor.c -
nm_netlink_monitor_event_handler (724) netlink reports device wlan0 link now 0 
Sep  3 15:55:31 asus NetworkManager: <info>  nm-netlink-monitor.c -
nm_netlink_monitor_event_handler (724) netlink reports device wlan0 link now 0 
Sep  3 15:55:33 asus NetworkManager: <info>  Error opening supplicant global
control interface. 
Sep  3 15:55:33 asus NetworkManager: <WARN>  real_act_stage2_config():
Activation (wlan0/wireless): couldn't connect to the supplicant. 
Sep  3 15:55:33 asus NetworkManager: <info>  Activation (wlan0) failure
scheduled... 
Sep  3 15:55:33 asus NetworkManager: <info>  Activation (wlan0) failed for
access point (tp) 
Sep  3 15:55:33 asus NetworkManager: <info>  Activation (wlan0) failed. 
Sep  3 15:55:33 asus NetworkManager: <info>  Deactivating device wlan0. 
Sep  3 15:55:33 asus NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete. 
Sep  3 15:55:36 asus NetworkManager: <info>  nm-netlink-monitor.c -
nm_netlink_monitor_event_handler (724) netlink reports device wlan0 link now 0 
Sep  3 15:55:36 asus kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Comment 2 John W. Linville 2007-09-13 13:13:16 EDT
Can you try turning-off NetworkManager and using system-config-network to 
configure your wireless connection instead?

   service NetworkManager stop
   chkconfig NetworkManager off
   system-config-network # setup connection for wireless device
   service network restart

Does this work any better for you?
Comment 3 Christian Schaller 2007-09-18 05:58:29 EDT
With the 2.6.22.5-76 kernel update the drivers work perfectly again, so I am
closing this bug.

Note You need to log in before you can comment on or make changes to this bug.